## visad.data.dods
Class GridVariableAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.VariableAdapter
              visad.data.dods.GridVariableAdapter

public class GridVariableAdapter
extends VariableAdapter

Provides support for adapting DODS `DGrid` variables to the VisAD data-import context.

Instances are immutable.

Nested Class Summary
`protected class` `GridVariableAdapter.GridAccessor` Provides support for accessing a DODS DGrid as a VisAD `FileFlatField`.

Method Summary
`DataImpl` `data(DGrid grid, boolean copy)` Returns the VisAD `DataImpl` corresponding to a DODS `DGrid`.
`MathType` `getMathType()` Returns the VisAD `MathType` of this instance.
`SimpleSet[]` `getRepresentationalSets(boolean copy)` Returns the VisAD `Set`s that will be used to represent this instances data values in the range of a VisAD `FileFlatField`.
`static GridVariableAdapter` `gridVariableAdapter(DGrid grid, DAS das, VariableAdapterFactory factory)` Returns an instance of this class corresponding to a DODS `DGrid`.

Methods inherited from class visad.data.dods.VariableAdapter
`data, data, data, data, data, data, data, data, data, data, data, data, data, data, mathType`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### gridVariableAdapter

    public static GridVariableAdapter gridVariableAdapter(DGrid grid,
                                                          DAS das,
                                                          VariableAdapterFactory factory)
                                                   throws VisADException,
                                                          RemoteException

  Returns an instance of this class corresponding to a DODS `DGrid`.

  Parameters:
    `grid` - The DODS variable. Only the DODS metadata is used: the variable needn't have any actual data.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
    `factory` - A factory for creating variable adapters.
  Returns:
    An instance of this class corresponding to the input arguments.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### getMathType

    public MathType getMathType()

  Returns the VisAD `MathType` of this instance.

  Specified by:
    `getMathType` in class `VariableAdapter`
  Returns:
    The MathType of this instance.

### getRepresentationalSets

    public SimpleSet[] getRepresentationalSets(boolean copy)

  Returns the VisAD `Set`s that will be used to represent this instances data values in the range of a VisAD `FileFlatField`.

  Overrides:
    `getRepresentationalSets` in class `VariableAdapter`
  Parameters:
    `copy` - If true, then the array is cloned.
  Returns:
    The VisAD Sets used to represent the data values in the range of a FlatField. WARNING: Modify only under duress.

### data

    public DataImpl data(DGrid grid,
                         boolean copy)
                  throws VisADException,
                         RemoteException

  Returns the VisAD `DataImpl` corresponding to a DODS `DGrid`.

  Overrides:
    `data` in class `VariableAdapter`
  Parameters:
    `copy` - If true, then data values are copied.
    `grid` - The DODS variable to have the corresponding VisAD data object returned. The variable must be compatible with the variable used to construct this instance.
  Returns:
    The VisAD data object of this instance. The class of the object will be `FileFlatField`, `FlatField`, or `FieldImpl`.
  Throws:
    `VisADException` - VisAD failure. Possibly the variable wasn't compatible with the variable used to construct this instance.
    `RemoteException` - Java RMI failure.